Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFocusEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QFocusEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QFocusEvent

extends QEvent

The `QFocusEvent` class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, key presses (such as Tab or Backtab), the window system, popup menus, keyboard shortcuts, or other application-specific reasons. The reason for a particular focus event is returned by `reason` in the appropriate event handler.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

See Also:
  `QWidget::setFocus`, `QWidget::setFocusPolicy`, Keyboard Focus

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QFocusEvent(QEvent.Type type)` Equivalent to `QFocusEvent`(`type`, Qt::OtherFocusReason).
`QFocusEvent(QEvent.Type type, Qt.FocusReason reason)` Constructs a focus event object.

Method Summary
`static QFocusEvent` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QFocusEvent instance pointed to by nativePointer
`boolean` | `gotFocus()` Returns true if `type` is QEvent::FocusIn; otherwise returns false.
`boolean` | `lostFocus()` Returns true if `type` is QEvent::FocusOut; otherwise returns false.
`Qt.FocusReason` | `reason()`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFocusEvent

    public QFocusEvent(QEvent.Type type)

  Equivalent to `QFocusEvent`(`type`, Qt::OtherFocusReason).

### QFocusEvent

    public QFocusEvent(QEvent.Type type,
                       Qt.FocusReason reason)

  Constructs a focus event object.

  The `type` parameter must be either QEvent::FocusIn or QEvent::FocusOut. The `reason` describes the cause of the change in focus.

Method Detail

### gotFocus

    public final boolean gotFocus()

  Returns true if `type` is QEvent::FocusIn; otherwise returns false.

### lostFocus

    public final boolean lostFocus()

  Returns true if `type` is QEvent::FocusOut; otherwise returns false.

### reason

    public final Qt.FocusReason reason()

### fromNativePointer

    public static QFocusEvent fromNativePointer(QNativePointer nativePointer)

  This function returns the QFocusEvent instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD